%define rel pre2

Name: jcommon
Version: 1.0.0
Release: alt0.1%{rel}

%def_enable check
%def_disable debug

Summary: Common library
Group: Development/Java
License: LGPL
Url: http://www.jfree.org/jcommon/index.html

%define pkgdocdir %_docdir/%name-%version

Source: jcommon-%{version}-%{rel}.tar.gz

BuildPreReq: rpm-build-java junit
BuildRequires: j2se-devel ant
%if_enabled check
BuildRequires: ant ant-junit
%endif
AutoProv: yes, nolib

%description
Collection of classes used by Object Refinery Projects,
for example jfreechart

%package test
Summary:        Test tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}, junit

%description test
All test tasks for %{name}.


%package javadoc
Summary: Javadoc for %{name}
Group: Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}-%{rel}
find . -name '*.jar' -print0 | xargs -r0 %__rm -f


%build
cd ant
%set_classpath %_javadir/junit.jar

%ant_build -Dsite.lib.dir=%_javadir \
%if_enabled debug
    -Dcompile.optimize=false \
%else
    -Dcompile.debug=false \
%endif
    compile
%ant_build compile-junit-tests
%ant_build compile-xml
%ant_build javadoc

%install
%__mkdir_p %buildroot%_javadir
%__install -m 644 %{name}-%{version}-%{rel}.jar %buildroot%{_javadir}/%{name}.jar
%__install -m 644 %{name}-xml-%{version}-%{rel}.jar %buildroot%{_javadir}/%{name}-xml.jar
%__install -m 644 lib/%{name}-%{version}-%{rel}-junit.jar %buildroot%{_javadir}/%{name}-junit.jar

# javadoc
install -d -m 755 %buildroot%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* %buildroot%{_javadocdir}/%{name}-%{version}


%files
%doc licence-LGPL.txt README.txt
%{_javadir}/%{name}.jar


%_javadir/*.jar
%doc licence-LGPL.txt README.txt

%files test
%{_javadir}/%{name}-junit.jar

%files javadoc
%{_javadocdir}/%{name}-%{version}


%changelog
* Tue Apr 26 2005 Eugene V. Horohorin <genix@altlinux.ru> 1.0.0-alt0.1pre2
- First build for ALTLinux
